Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.model
Class Bookmark

    java.lang.Object
      com.endeca.portal.model.Bookmark

All Implemented Interfaces:
  java.io.Serializable

    public class Bookmark

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Bookmark()`

Method Summary
`void` | `addDataSourceQueryState(java.lang.String dataSourceId, QueryState dataSourceQueryState)`
`void` | `addEndecaPortletState(EndecaPortletState endecaPortletState)`
`java.lang.String` | `getBaseUrl()`
`java.util.Date` | `getCreatedDate()`
`QueryState` | `getDataSourceQueryState(java.lang.String dataSourceId)`
`java.util.Map<java.lang.String,QueryState>` | `getDataSourceQueryStates()`
`java.lang.String` | `getDescription()`
`EndecaPortletState` | `getEndecaPortletState(java.lang.String portletId)`
`java.util.Map<java.lang.String,EndecaPortletState>` | `getEndecaPortletStates()`
`long` | `getId()`
`java.lang.String` | `getName()`
`long` | `getUserId()`
`void` | `setBaseUrl(java.lang.String baseUrl)`
`void` | `setCreatedDate(java.util.Date createdDate)`
`void` | `setDataSourceQueryStates(java.util.Map<java.lang.String,QueryState> dataSourceQueryStateMap)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEndecaPortletStates(java.util.Map<java.lang.String,EndecaPortletState> endecaPortletStateMap)`
`void` | `setId(long id)`
`void` | `setName(java.lang.String name)`
`void` | `setUserId(long userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bookmark

    public Bookmark()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getUserId

    public long getUserId()

### setUserId

    public void setUserId(long userId)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getBaseUrl

    public java.lang.String getBaseUrl()

### setBaseUrl

    public void setBaseUrl(java.lang.String baseUrl)

### getCreatedDate

    public java.util.Date getCreatedDate()

### setCreatedDate

    public void setCreatedDate(java.util.Date createdDate)

### getDataSourceQueryStates

    public java.util.Map<java.lang.String,QueryState> getDataSourceQueryStates()

### setDataSourceQueryStates

    public void setDataSourceQueryStates(java.util.Map<java.lang.String,QueryState> dataSourceQueryStateMap)

### getEndecaPortletStates

    public java.util.Map<java.lang.String,EndecaPortletState> getEndecaPortletStates()

### setEndecaPortletStates

    public void setEndecaPortletStates(java.util.Map<java.lang.String,EndecaPortletState> endecaPortletStateMap)

### addDataSourceQueryState

    public void addDataSourceQueryState(java.lang.String dataSourceId,
                                        QueryState dataSourceQueryState)

### getDataSourceQueryState

    public QueryState getDataSourceQueryState(java.lang.String dataSourceId)

### addEndecaPortletState

    public void addEndecaPortletState(EndecaPortletState endecaPortletState)

### getEndecaPortletState

    public EndecaPortletState getEndecaPortletState(java.lang.String portletId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD